.hero-section-container {
    position: relative;
    width: 100%;
    height: auto;
    padding: 0 10rem;
    max-width: 1200px;
    margin: 0 auto;
    overflow: visible; /* Allow overflow to be visible */
}

.hero-text-container {
    position: relative;
    margin-bottom: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: visible; /* Ensure no clipping */
}

.hero-text-line {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: visible; /* Ensure no clipping */
}

.main-line {
    margin-bottom: 20px;
}

.line-wrapper {
    opacity: 0;
    will-change: transform, opacity;
}

.stand-out {
    transform: translateX(0);
}

.or {
    transform: translateX(100px);
    margin-left: 20px;
}

.fade-away {
    transform: translateY(50px);
}

.line-wrapper img {
    max-width: 100%;
    height: auto;
}

.hero-text-subtitle-container {
    text-align: center;
    color: white;
    font-family: monospace;
    line-height: 1.5;
    max-width: 800px;
    margin: 0 auto;
}

.subtitle-line-1,
.subtitle-line-2 {
    overflow: hidden;
    margin-bottom: 10px;
}

.subtitle-content {
    opacity: 0;
    transform: translateY(20px);
}

.homepage-hero-cta-container {
    opacity: 0;
    transform: translateY(20px);
}

.homepage-hero-cta-container {
    position: absolute;
    bottom: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: fit-content;
    border: 1px solid white;
    padding: .9rem 1.6rem;
    font-size: 14px;
    font-family: 'Space Grotesk', sans-serif;
    background-color: transparent;
    transition: all 0.3s ease;
    display: inline-block;
}

.homepage-hero-cta-container > a {
    text-decoration: none;
    color: white;
    transition: color 0.3s ease;
}

.homepage-hero-cta-container:hover {
    background-color: white;
    transform: scale(1.05);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
}

.homepage-hero-cta-container:hover > a {
    color: black;
}
